/Users/bernard/b20/bsoft/include/Transform.h(3)

NAME
/Users/bernard/b20/bsoft/include/Transform.h - Class for a generalized transform object.

SYNOPSIS

#include 'Vector3.h'
#include 'Quaternion.h'
#include 'Matrix3.h'
#include 'Matrix.h'

  Classes
class Transform

  Functions
Transform transform_matrix_solve (Matrix a, vector< double > &bx, vector< double > &by, vector< double > &bz, int flag)
Solves a 3D geometry fit matrix.
Transform transform_find (int n, Vector3< double > *vector1, Vector3< double > *vector2, int shift)
Determines the transformation between two sets of vectors.

Detailed Description

Class for a generalized transform object.

Author:
    Bernard Heymann

Date:
    Created: 20000501

    Modified: 20150526

Definition in file Transform.h.

Function Documentation

  Transform transform_find (int n, Vector3< double > * vector1, Vector3< double > * vector2, int shift)

Determines the transformation between two sets of vectors.

Parameters:
    n number of vectors in each set.
    *vector1 first vector set.
    *vector2 second vector set.
    shift flag to indicate determining shift.

Returns:
    Transform transform structure.

    The two sets must have the same number of vectors.

Definition at line 109 of file Transform.cpp.

  Transform transform_matrix_solve (Matrix a, vector< double > & bx, vector< double > & by, vector< double > & bz, int flag)

Solves a 3D geometry fit matrix.

Parameters:
    a nxn matrix.
    bx x-dimension n-vector.
    by y-dimension n-vector.
    bz z-dimension n-vector.
    flag type of decomposition: 0=LUD, 1=SVD.

Returns:
    Transform transform structure.

    The matrix is inverted and solutions for the three vectors generated.

Definition at line 30 of file Transform.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.